-pine-cn
-~~~~~~~
+alpine-cn
+~~~~~~~~~
Ovaj paket povlaci instalaciju paketa "alpine", zamjene za paket "pine"
koji zbog svoje licence nije standardni dio Debian distribucije.
+++ /dev/null
-changelog.Debian
\ No newline at end of file
-pine-cn (3:2.00-2) stable; urgency=low
+alpine-cn (3:2.00-2) stable; urgency=low
* Prva verzija za squeeze
+ * Promjena imena iz pine-cn u alpine-cn
-- Ivan Rako <Ivan.Rako@CARNet.hr> Wed, 13 Apr 2011 15:06:16 +0200
-Source: pine-cn
+Source: alpine-cn
Section: mail
Priority: optional
Maintainer: Ivan Rako <Ivan.Rako@CARNet.hr>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.7.2
-Package: pine-cn
+Package: alpine-cn
Architecture: all
Depends: alpine (>= 2.00), alpine-pico (>= 2.00)
-Conflicts: pine, pine-tracker
-Provides: mail-reader, alpine-cn
+Conflicts: pine, pine-tracker, pine-cn
+Provides: mail-reader, pine-cn
+Replaces: pine-cn
Description: Text-based email client, friendly for novices but powerful
Alpine is an upgrade of the well-known PINE email client. Alpine is currently
in alpha. Its name derives from the use of the Apache License and its ties to
-This package is copyright (c) by CARNet <paketi@carnet.hr>.
+Copyright 2006 CARNet <paketi@carnet.hr>
-You are free to distribute this software under the terms of
-the GNU General Public License.
+You are free to distribute this software package under the terms of the
+GNU General Public License.
On Debian systems, the complete text of the GNU General Public
License can be found in the file /usr/share/common-licenses/GPL.
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
if [ "$1" = "configure" ]; then
update-alternatives --install /usr/bin/pine pine /usr/bin/alpine 50 \
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
if [ "$1" != "upgrade" ]; then
update-alternatives --remove pine /usr/bin/alpine
#!/usr/bin/make -f
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-configure: configure-stamp
-configure-stamp:
- dh_testdir
- # Add here commands to configure the package.
-
- touch configure-stamp
-
-
-build: build-stamp
-
-build-stamp: configure-stamp
- dh_testdir
-
- # Add here commands to compile the package.
- # $(MAKE)
-
- touch build-stamp
-
-clean:
- dh_testdir
- dh_testroot
- rm -f build-stamp configure-stamp
-
- # Add here commands to clean up after the build process.
- # -$(MAKE) clean
-
- dh_clean
-
-install: build
- dh_testdir
- dh_testroot
- dh_clean -k
- dh_installdirs
-
- # Add here commands to install the package into debian/pine-cn.
- # $(MAKE) install DESTDIR=$(CURDIR)/debian/pine-cn
-
-
-# Build architecture-dependent files here.
-binary-arch: build install
-# We have nothing to do by default.
-
-# Build architecture-independent files here.
-binary-indep: build install
- dh_testdir
- dh_testroot
- dh_installchangelogs -k
- dh_installdocs
-# dh_installexamples
- dh_install
-# dh_installmenu
-# dh_installdebconf
-# dh_installlogrotate
-# dh_installemacsen
-# dh_installpam
-# dh_installmime
-# dh_installinit
-# dh_installcron
-# dh_installinfo
- dh_installman
-# dh_link
-# dh_strip
-# dh_compress
- dh_fixperms
-# dh_perl
-# dh_python
-# dh_makeshlibs
- dh_installdeb
-# dh_shlibdeps
- dh_gencontrol
- dh_md5sums
- dh_builddeb
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+%:
+ dh $@